FLAC 1.3.3

Public Member Functions | Protected Attributes | List of all members
FLAC::Decoder::Stream::State Class Reference

`#include <decoder.h>`

## Public Member Functions
| State (::FLAC__StreamDecoderState state)
| operator::FLAC__StreamDecoderState () const
const char * | as_cstring () const
const char * | resolved_as_cstring (const Stream &decoder) const

## Protected Attributes
::FLAC__StreamDecoderState | state_

## Detailed Description

This class is a wrapper around FLAC__StreamDecoderState.

The documentation for this class was generated from the following file:

- include/FLAC++/decoder.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2016 Xiph.Org Foundation |